# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "eventsourced"
version = "0.14.1"
authors = ["Heiko Seeberger <git@heikoseeberger.de>"]
description = "Event sourced entities in Rust."
homepage = "https://github.com/hseeberger/eventsourced"
documentation = "https://docs.rs/eventsourced/latest/eventsourced"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/hseeberger/eventsourced"

[dependencies.anyhow]
version = "1.0"

[dependencies.bytes]
version = "1.5"

[dependencies.futures]
version = "0.3"

[dependencies.pin-project-lite]
version = "0.2"

[dependencies.prost]
version = "0.12"
optional = true

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"
optional = true

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1"
features = [
    "sync",
    "rt-multi-thread",
]

[dependencies.tracing]
version = "0.1"

[dependencies.trait-variant]
version = "0.1"

[dev-dependencies.async-stream]
version = "0.3"

[dev-dependencies.tokio]
version = "1"
features = [
    "sync",
    "macros",
    "rt-multi-thread",
    "time",
]

[dev-dependencies.tracing-test]
version = "0.2"

[dev-dependencies.uuid]
version = "1.6"
features = [
    "serde",
    "v7",
]
